Skip to main content
GET
/
v1
/
publishers
/
me
curl https://xenarch.dev/v1/publishers/me \
  -H "Authorization: Bearer xk_pub_abc123..."
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email": "<string>",
  "payout_wallet": "<string>",
  "payout_wallet_pending": "<string>",
  "payout_wallet_effective_at": "2023-11-07T05:31:56Z",
  "payout_network": "<string>",
  "created_at": "2023-11-07T05:31:56Z"
}
curl https://xenarch.dev/v1/publishers/me \
  -H "Authorization: Bearer xk_pub_abc123..."

Notes

  • Returns publisher profile including email, payout wallet, and email verification status
  • Requires publisher API key authentication

Headers

authorization
string
required

Response

Successful Response

id
string<uuid>
required
email
string
required
payout_wallet
string | null
required
payout_wallet_pending
string | null
required
payout_wallet_effective_at
string<date-time> | null
required
payout_network
string
required
created_at
string<date-time>
required